/* Calcul du nombre de valeurs inferieures     */
/* ou egales a une valeur limite trouvees      */
/* dans un tableau de double                   */

public class NombreValeursInferieuresLimiteEnConsole {

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("NombreValeursInferieuresLimite");
    /* Taille du tableau                       */
    final int TAILLE = 20;
    /* Déclaration du tableau                  */
    double [] tab = new double[TAILLE];
    int i;
    double limite;
    int cpt;
    Console.afficher("SVP, valeur limite? ");
    limite = Console.saisirDouble();
    /* Remplissage du tableau                  */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random(); }
    /* Affichage des valeurs du tableau        */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Console.afficherln(tab[i]); }
    Console.sautDeLigne();
    cpt = 0;
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      if ( tab[i] <= limite ) {
        cpt = cpt+1; } }
    Console.afficherln("Nombre valeurs < a ",limite," : ",cpt);
  }
}